Subject: Re: MPC8313 and Marvell PHY 88e1112

From: Martyn Welch <[email-masked]>
Date: Mon, 01 Dec 2008 12:22:11 +0000

Carlos Roberto Moratelli wrote:
> Hi,

Hi Carlos,

> I am working in a custom board based on a mpc8313erdb and my Kernel
> version is 2.6.24. This board has a Marvell PHY 88E1112 on TSEC2
> processor port. 
> 
> The problem is that the PHY is detected and configured, but no data can
> be send or received. I am sure that dtb is fine. In another custom board
> I have a 88e3015 on TSEC2 and it is working fine.
> 
> Did someone work with this PHY? Does Compiling gianfar and Marvell
> support on Kernel is enough? 

We have a board using a 8641d and Marvel 88E1111 PHY. I had problems getting the PHY to work correctly when using the Marvell PHY driver, however we were using the PHY as a standard PHY and found that the generic PHY driver worked just fine. Have you tried it without enabling the Marvell PHY driver so it uses the generic one?

Martyn

-- 
Martyn Welch MEng MPhil MIET (Principal Software Engineer)   T:+44(0)1327322748
GE Fanuc Intelligent Platforms Ltd,        |Registered in England and Wales
Tove Valley Business Park, Towcester,      |(3828642) at 100 Barbirolli Square,
Northants, NN12 6PF, UK T:+44(0)1327359444 |Manchester,M2 3AB  VAT:GB 729849476